## org.freedesktop.Flatpak.SessionHelper

org.freedesktop.Flatpak.SessionHelper — Flatpak session service

## Methods

    RequestSession (OUT a{sv} data);

## Properties

    version  readable   u

## Description

The Flatpak session service is used by the flatpak run command to bridge various resources from the host system into Flatpak sandboxes. It is not intended to be contacted by third-party applications or libraries.

This interface is provided on the D-Bus session bus by the well-known D-Bus name org.freedesktop.Flatpak, at the object path /org/freedesktop/Flatpak/SessionHelper.

Note that the service owning the org.freedesktop.Flatpak well-known name also exports the org.freedesktop.Flatpak.Development interface. As a result, letting a sandboxed application contact that well-known name is a sandbox escape, which must only be allowed for trusted applications where there is not intended to be any security boundary between sandbox and host system.

This documentation describes version 1 of this interface.

## Method Details

### The RequestSession() method

    RequestSession (OUT a{sv} data);

Set up monitoring and resources for a flatpak run session. See the Flatpak source code for details.

`OUT a{sv} `data``: | Information about the new session

## Property Details

### The "version" property

    version  readable   u

The API version number. This documentation describes version 1 of this interface.